post
https://{your-domain}.com/case
Create a new case with interactions
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Details
Responses and Response Schema
201 (Success)
Top-level Object
| Field Name | Type | Description |
|---|---|---|
| id* | string | |
| number* | string | The case number to display to Khoros Marketing Agents |
| customerId* | string | The ID of the customer associated with this new case. |
| title* | string | The title of the case. |
| description* | string | The longer form description of the case. |
| url* | string | The URI the agent can click on to see the case. |
| lastUpdated* | string | ISO8601 DateTime of when the case was last updated. |
| created* | string | ISO8601 DateTime of when the case was created. |
| status* | string | Allowed Values open, closed |
| interactions | array[object] | |
| customCasePropertyOne | string | An example of a custom field on the Case object. These will only be present if specified via the /meta/object/case endpoint. |
| customCasePropertyTwo | string | An example of a custom field on the Case object. These will only be present if specified via the /meta/object/case endpoint. |
Interactions Object
| Field Name | Type | Description |
|---|---|---|
| created* | string | The creation date of the interaction on the origin service. |
| body* | string | The text of the interaction. |
| linkUrl* | string | The direct link to the context on the origin service when available. |
| serviceId* | string | The social service the interaction originated. |
| service* | string | The social service the interaction originated. |
| contentType* | string | The type of content the interaction is on the origin service. Examples include: post, comment, etc. |
Author Object
| Field Name | Type | Descritpion |
|---|---|---|
| service* | string | The social service of the author. |
| serviceId* | string | The id of the author on the origin service. |
| handle* | string | The handle of the author on the origin service. |
| name* | string | The screen name of the author on the origin service. |
| brandOwned* | boolean | A flag that signals if the author belongs to an account added to the platform. |
400 (Generic Error)
| Field Name | Type | Description |
|---|---|---|
| fields | array[object] | |
| error | string | Name of the error code. |
| message | string | Message passable to the user. |
fields object
| Field Name | Type |
|---|---|
| name* | string |
| errorMessage* | string |
401 (Authentication Failure)
API key is invalid or has become de-authenticated
422
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "error*", "0-1": "string", "0-2": "Name of the error or code.", "1-0": "message*", "1-1": "string", "1-2": "Message passable to the user." }, "cols": 3, "rows": 2 } [/block]
fields object
| Field Name | Type |
|---|---|
| name* | string |
| errorMessage* | string |
500 (Unexpected Error)
Unexpected Error
| Field Name | Type | Description |
|---|---|---|
| error | string | Name of the error or code. |
| message | string | Message passable to the user. |